Seer Somak:
Tonar of Hetsui tribe! He was a superman who had the strength to knock down a giant wild boar with his bare hands!
Long time ago, in the land which is now called Oren, there was a fierce battle between the Orcs and the lizardmen. The Hetsui warriors lead by Tonar won an overwhelming victory over the lizardmen and drove them out of the kingdom!
But the Lizardman shamans played some wicked tricks on him, and he died. Afterwards they even stole his remains and ran away! You must win back the remains of the great hero from those inferior tribes! Go right now to the village of Oren and meet Seer Pekiron! He will tell you about the lizardmen who have the remains of Tonar!
Return